Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipConditionalMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipConditionalMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipConditionalMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Conditional Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getActRelationshipConditionalMember1()`

Field Summary
`static int` | `CIND` The 'CIND' literal value.
`static ActRelationshipConditionalMember1` | `CIND_LITERAL` The 'CIND' literal object.
`static int` | `PRCN` The 'PRCN' literal value.
`static ActRelationshipConditionalMember1` | `PRCN_LITERAL` The 'PRCN' literal object.
`static int` | `TRIG` The 'TRIG' literal value.
`static ActRelationshipConditionalMember1` | `TRIG_LITERAL` The 'TRIG' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Conditional Member1' enumerators.

Method Summary
`static ActRelationshipConditionalMember1` | `get(int value)` Returns the 'Act Relationship Conditional Member1' literal with the specified integer value.
`static ActRelationshipConditionalMember1` | `get(java.lang.String literal)` Returns the 'Act Relationship Conditional Member1' literal with the specified literal value.
`static ActRelationshipConditionalMember1` | `getByName(java.lang.String name)` Returns the 'Act Relationship Conditional Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CIND

    public static final int CIND

  The 'CIND' literal value.

  If the meaning of 'CIND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CIND_LITERAL`, Constant Field Values

### PRCN

    public static final int PRCN

  The 'PRCN' literal value.

  If the meaning of 'PRCN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRCN_LITERAL`, Constant Field Values

### TRIG

    public static final int TRIG

  The 'TRIG' literal value.

  If the meaning of 'TRIG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TRIG_LITERAL`, Constant Field Values

### CIND_LITERAL

    public static final ActRelationshipConditionalMember1 CIND_LITERAL

  The 'CIND' literal object.

  See Also:
    `CIND`

### PRCN_LITERAL

    public static final ActRelationshipConditionalMember1 PRCN_LITERAL

  The 'PRCN' literal object.

  See Also:
    `PRCN`

### TRIG_LITERAL

    public static final ActRelationshipConditionalMember1 TRIG_LITERAL

  The 'TRIG' literal object.

  See Also:
    `TRIG`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Conditional Member1' enumerators.

Method Detail

### get

    public static ActRelationshipConditionalMember1 get(java.lang.String literal)

  Returns the 'Act Relationship Conditional Member1' literal with the specified literal value.

### getByName

    public static ActRelationshipConditionalMember1 getByName(java.lang.String name)

  Returns the 'Act Relationship Conditional Member1' literal with the specified name.

### get

    public static ActRelationshipConditionalMember1 get(int value)

  Returns the 'Act Relationship Conditional Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD